Loading...
Searching...
No Matches
Repository relative URLs

Repository relative URLs. More...

## Functions

svn_boolean_t | svn_path_is_repos_relative_url (const char *path)
| Return `TRUE` iff path is a repository-relative URL: specifically that it starts with the characters "^/".
svn_error_t * | svn_path_resolve_repos_relative_url (const char **absolute_url, const char *relative_url, const char *repos_root_url, apr_pool_t *pool)
| Set absolute_url to the absolute URL represented by relative_url relative to repos_root_url, preserving any peg revision specifier present in relative_url.
const char * | svn_path_illegal_path_escape (const char *path, apr_pool_t *pool)
| Return a copy of path, allocated from pool, for which control characters have been escaped using the form "\NNN" (where NNN is the octal representation of the byte's ordinal value).

## Detailed Description

Repository relative URLs.

## Function Documentation

## svn_path_illegal_path_escape()

const char * svn_path_illegal_path_escape | ( | const char * | path,
|  | apr_pool_t * | pool )

Return a copy of path, allocated from pool, for which control characters have been escaped using the form "\NNN" (where NNN is the octal representation of the byte's ordinal value).

Since
  New in 1.8.

References path.

## svn_path_is_repos_relative_url()

svn_boolean_t svn_path_is_repos_relative_url | ( | const char * | path | ) |

Return `TRUE` iff path is a repository-relative URL: specifically that it starts with the characters "^/".

path is in UTF-8 encoding.

Does not check whether path is a properly URI-encoded, canonical, or valid in any other way.

Since
  New in 1.8.

References path.

## svn_path_resolve_repos_relative_url()

svn_error_t * svn_path_resolve_repos_relative_url | ( | const char ** | absolute_url,
|  | const char * | relative_url,
|  | const char * | repos_root_url,
|  | apr_pool_t * | pool )

Set absolute_url to the absolute URL represented by relative_url relative to repos_root_url, preserving any peg revision specifier present in relative_url.

Allocate absolute_url from pool.

relative_url is in repository-relative syntax: "^/[REL-URL][@PEG]"

repos_root_url is the absolute URL of the repository root.

All strings are in UTF-8 encoding.

repos_root_url and relative_url do not have to be properly URI-encoded, canonical, or valid in any other way. The caller is expected to perform canonicalization on absolute_url after the call to the function.

Since
  New in 1.8.